# telegram_server_monitoring

Dieser Telegram Bot wurde entwickelt, um die Überwachung von Servern zu erleichtern und Benutzern regelmäßige Statusaktualisierungen zu liefern. Der Bot ermöglicht es den Benutzern, Server hinzuzufügen, zu löschen und den aktuellen Status sowie detaillierte Informationen zu ihren konfigurierten Servern abzurufen.

Funktionen:

Serververwaltung: Benutzer können neue Server hinzufügen (/add_server) und bestehende Server löschen (/delete_server).
Statusaktualisierung: Mit dem Befehl /status können Benutzer den aktuellen Status aller konfigurierten Server abrufen. Der Bot überprüft automatisch in regelmäßigen Intervallen den Status der Server und sendet eine Benachrichtigung, wenn ein Server offline ist.
Serverdetails: Benutzer können detaillierte Informationen zu einem bestimmten Server abrufen, einschließlich Uptime, CPU-Auslastung, RAM-Auslastung und Netzwerkverkehr (Details).
Hilfe: Mit dem Befehl /help können Benutzer eine Liste aller verfügbaren Befehle anzeigen.
Verwendung:

Starte den Bot mit dem Befehl /start. Der Bot sendet eine Begrüßungsnachricht und gibt Hinweise zur Verwendung.
Füge Server hinzu mit /add_server. Der Bot führt dich durch den Prozess, um den Servernamen und die IP-Adresse einzugeben.
Überprüfe den Status aller konfigurierten Server mit /status.
Erhalte detaillierte Informationen zu einem Server mit Details.
Lösche einen konfigurierten Server mit /delete_server.
Automatische Statusüberwachung:
Der Bot überprüft alle konfigurierten Server automatisch alle 30 Sekunden auf ihren Status und benachrichtigt die Benutzer, wenn ein Server offline ist.